Delete catalog schema
curl --request DELETE \
--url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"error": "<string>",
"code": 500
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Catalogs
Delete catalog schema
Delete a catalog’s schema from Trino.
DELETE
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
{schema_name}
Delete catalog schema
Authorizations
OAuth2AuthorizationCodeBearerAPIKeyHeader
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Name of the catalog for the schema.
Name of the schema to delete.
Response
Data deleted successfully.
Indicates whether the task completed successfully.
Was this page helpful?
⌘I

